#
# spec file for package perl-Time-Tiny
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Time-Tiny
Version:        1.08
Release:        lp151.2.1
%define cpan_name Time-Tiny
Summary:        Time Object, with As Little Code As Possible
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Time-Tiny/
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
*Time::Tiny* is a member of the DateTime::Tiny suite of time modules.

It implements an extremely lightweight object that represents a time,
without any time data.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn README
%license LICENSE

%changelog
* Mon Apr 23 2018 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-Time-Tiny/Changes
  1.08      2018-04-22 10:50:14+02:00 Europe/Oslo
  - Typo fix
* Fri Jun 24 2016 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Time-Tiny/Changes
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.05
  * created by cpanspec 1.78.03
